Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class FaultNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.node.FaultNodeInstance

All Implemented Interfaces:
  Serializable, NodeInstance

    public class FaultNodeInstance

extends NodeInstanceImpl

Runtime counterpart of a fault node.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Constructor Summary
`FaultNodeInstance()`

Method Summary
`protected ExceptionScopeInstance` | `getExceptionScopeInstance(String faultName)`
`protected Object` | `getFaultData()`
`protected String` | `getFaultName()`
`protected FaultNode` | `getFaultNode()`
`protected void` | `handleException(String faultName, ExceptionScopeInstance exceptionScopeInstance)`
`void` | `internalTrigger(NodeInstance from, String type)`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`cancel, executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultNodeInstance

    public FaultNodeInstance()

Method Detail

### getFaultNode

    protected FaultNode getFaultNode()

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Specified by:
    `internalTrigger` in class `NodeInstanceImpl`

### getExceptionScopeInstance

    protected ExceptionScopeInstance getExceptionScopeInstance(String faultName)

### getFaultName

    protected String getFaultName()

### getFaultData

    protected Object getFaultData()

### handleException

    protected void handleException(String faultName,
                                   ExceptionScopeInstance exceptionScopeInstance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.